Packages - Bug #1299

pacman-5.0.1-5.parabolal upgrade is broken
2017-04-29 01:33 PM - kesara

Status: not-a-bug % Done: 0%
Priority: critical

Assignee:

Category:

Description

| upgrade pacman to pacman-5.0.1-5.parabola1 which went fine:

sudo pacman -S pacman
resolving dependencies...
looking for conflicting packages...

Packages (1) pacman-5.0.1-5.parabolal

Total Download Size: 0.72 MiB
Total Installed Size: 4.45 MiB
Net Upgrade Size: -0.49 MiB

Proceed with installation? [Y/n]

Retrieving packages...
pacman-5.0.1-5.para. .. 733.6 KiB 223K/s 00:03
1/1) checking keys in keyring
1/1) checking package integrity

1/1) checking for file conflicts

FREF RS
FREF RS
FHEF AR

FHEFHE A S

[ ]
( [ 1
( [ 1
(1/1) loading package files [t dFsadhFfFadaaaas)
( [ 1
( [ 1

1/1) checking available disk space
Processing package changes...
(1/1) upgrading pacman
Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...

After the upgrade pacman couldn't load librycrypto.so
Error:

$ sudo pacman -Syu

pacman: error while loading shared libraries: libcrypto.so.l.1l:

such file or directory
$ pacman —--help

pacman: error while loading shared libraries: libcrypto.so.l.1l:

such file or directory
cannot open shared object file:

cannot open shared object file:
Related issues:
Related to Packages - Bug #1310: updating only pacman breaks system [caused b...

not-a-bug

2017-05-03

History

#1 - 2017-04-29 01:35 PM - kesara
My system have only libcrypto 1.0.0 installed.

$ gpg2 —--version
gpg (GnuPG) 2.1.20
libgcrypt 1.7.6

#2 - 2017-05-04 01:22 AM - Anonymous

It's not due to libgcrypt, but pacman being updated for openssl 1.1.0 while you are on openssl| 1.0.2

You'll need to boot into a Parabola liveDVD/USB to repair it.
Once you have a LiveDVD/USB:
Boot into the LiveDVD/USB

mount /your/root/drive/location /mnt
mount /your/home/drive/location /mnt/home
pacstrap /mnt openssl|

arch-chroot /mnt

pacman -Syyu

exit

umount /mnt/home

umount /mnt

reboot

This should repair it.

#3 - 2017-05-04 04:16 PM - isacdaavid
- Related to Bug #1310: updating only pacman breaks system [caused by openssl| upgrade] added

#4 - 2017-05-04 04:34 PM - isacdaavid

- Status changed from open to not-a-bug

I'm closing this one as duplicate of #1310.

See the recommendation there and an extra candidate solution. There's no way for us (or for Arch) to make sure that upgrading a subset of packages
at a time won't break your system. Never

pacman -Sy

pacman —-S <PACKAGE>

without a

pacman -—-Su

in between.

#5 - 2017-05-05 02:41 PM - libreuser

| found this 'manual intervention required' for 'ca-certificates-utils 20170307-1' from Arch web page:
https://labs.parabola.nu/issues/1310
https://www.archlinux.org/news/ca-certificates-utils-20170307-1-upgrade-requires-manual-intervention/
http://www.tcpdf.org

